export interface IMatrixProps {
    inputs: Array<Input>,
    outputs: Array<Output>,
}

export interface Input {
    inputNumber: string,
    inputDevice: string,
}

export interface Output {
    outputLetter: string,
    outputDevice: string,
}

export class Matrix {
    private _inputs: Array<Input> = [];
    private _outputs: Array<Output> = [];

    constructor(props: IMatrixProps) {
        this._inputs = props.inputs;
        this._outputs = props.outputs;
    }

    public get inputs(): Array<Input> {
        return this._inputs
    }

    public get outputs(): Array<Output> {
        return this._outputs;
    }
}